Skip to main content
GET
/
services
/
bens
/
api
/
v1
/
addresses
/
{address}
Get detailed information about main address of requested name
curl --request GET \
  --url https://api.blockscout.com/services/bens/api/v1/addresses/{address} \
  --header 'Authorization: Bearer <token>'
{
  "chain_infos": {},
  "coin_balance": "<string>",
  "domains": [
    {
      "name": "<string>",
      "protocol": {
        "deployment_blockscout_base_url": "<string>",
        "description": "<string>",
        "docs_url": "<string>",
        "icon_url": "<string>",
        "id": "<string>",
        "short_name": "<string>",
        "title": "<string>",
        "tld_list": [
          "<string>"
        ]
      }
    }
  ],
  "exchange_rate": "<string>",
  "has_interop_message_transfers": true,
  "has_tokens": true,
  "hash": "<string>"
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

address
string
required

Query Parameters

chain_id
string<int64>

The chain (network) where domain search should be done

protocols
string

comma separated list of protocol ids. Default is ENS protocol only

all_protocols
boolean

If true, search across all supported protocols and ignore protocols. When chain_id is set, the search is scoped to all protocols on that chain.

Response

A successful response.

chain_infos
object

Map of chain id to chain-specific information.

coin_balance
string

Sum of coin balances across all chains.

domains
object[]
exchange_rate
string

Exchange rate of the cluster native coin.

has_interop_message_transfers
boolean
has_tokens
boolean
hash
string